%global momorel 9
Name: logsentry
Summary: Psionic LogSentry
Version: 1.1.1
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: System Environment/Daemons
URL: http://sourceforge.net/projects/sentrytools
#URL: http://www.loganalysis.org/sections/parsing/generic-log-parsers/index.html
Source: http://dl.sourceforge.net/sourceforge/sentrytools/logcheck-1.1.1.tar.gz
Source1: %{name}.cron
Patch0: %{name}.patch
Patch1:	%{name}-sh.patch
Patch2: logsentry-1.1.1-ignorelist.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
NoSource: 0
Obsoletes: logcheck

Requires: mailx
%description
Logcheck is a software package that is designed to automatically run and check 
system log files for security violations and unusual activity.  Logcheck 
utilizes a program called logtail that remembers the last position it read 
from in a log file and uses this position on subsequent runs to process new 
information.  All source code is available for review and the implementation 
was kept simple to avoid problems.  This package is a clone of the 
frequentcheck.sh script from the Trusted Information Systems Gauntlet(tm) 
firewall package.  TIS has granted permission for me to clone this package.

%prep
%setup -q -n logcheck-%{version}
%patch0 -p1 -b .orig
%patch1 -p1 -b .orig2
%patch2 -p1 -b .ignorelist

%install
rm -rf %{buildroot}

export INSTALLDIR=%{buildroot}%{_sysconfdir}/logcheck
export INSTALLDIR_BIN=%{buildroot}%{_bindir}
export INSTALLDIR_SH=%{buildroot}%{_bindir}
# export TMPDIR=%{buildroot}%{_localstatedir}/logcheck
export TMPDIR=%{buildroot}/var/logcheck
export CFLAGS="%{optflags}"

mkdir -p %{buildroot}%{_sysconfdir}/logcheck
mkdir -p %{buildroot}%{_bindir}
# mkdir -m700 -p %{buildroot}%{_localstatedir}/logcheck
mkdir -m700 -p %{buildroot}/var/logcheck

make linux

install -m600 systems/linux/logcheck.conf %{buildroot}%{_sysconfdir}/logcheck

# rename files
pushd %{buildroot}%{_sysconfdir}/logcheck
  mv -f logcheck.hacking hacking
  mv -f logcheck.violations violations
  mv -f logcheck.violations.ignore violations.ignore
  mv -f logcheck.ignore ignore
popd

mkdir -p %{buildroot}%{_sysconfdir}/cron.hourly/
install -m755 %{SOURCE1} %{buildroot}%{_sysconfdir}/cron.hourly/logcheck

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc CHANGES CREDITS INSTALL LICENSE README* systems/linux/README*
%defattr(-,root,root)
%config %{_sysconfdir}/cron.hourly/logcheck
%dir %{_sysconfdir}/logcheck
%config(noreplace) %{_sysconfdir}/logcheck/logcheck.conf
%config(noreplace) %{_sysconfdir}/logcheck/hacking
%config(noreplace) %{_sysconfdir}/logcheck/violations
%config(noreplace) %{_sysconfdir}/logcheck/violations.ignore
%config(noreplace) %{_sysconfdir}/logcheck/ignore
%{_bindir}/logcheck.sh
%{_bindir}/logtail
# %dir %{_localstatedir}/logcheck
%dir /var/logcheck

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1.1-9m)
- rebuild against rpm-4.6

* Fri Dec 26 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1.1-8m)
- revise for rpm46 (s/Patch/Patch0/ and s/%%patch/%%patch0/)
- License: GPLv2+

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.1-7m)
- rebuild against gcc43

* Sat Feb 19 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.1.1-6m)
- revised docdir permission

* Wed Feb 16 2005 zunda <zunda at freeshell.org>
- (1.1.1-5m)
- needs /bin/mail to send out the results

* Sat Nov 29 2003 Hideo TASHIRO <tashiron@jasmiso.org>
- (1.1.1-4m)
- change URL and Source0 URL
- use %%{momorel}

* Sat Nov  8 2003 Shotaro Kamio <skamio@momonga-linux.org>
- (1.1.1-3m)
- changed source URL because original source went away

* Mon Feb 18 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.1.1-2k)
- command renamed to LogSentry

* Sat Jan 12 2002 OZAWA -Crouton- Sakuro <crouton@kondara.org>
- (1.1.1-6k)
- s/Copyright/License/

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (1.1.1-4k)
- nigittenu

* Thu Jul 12 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (1.1.1-2k)
- from rawhide logcheck-1.1.1-6.src.rpm
- NoSource
- add logcheck-1.1.1-ignorelist.patch against Kondara-2.0
- fixed that %{_localstatedir} is not /var/lib

* Fri Mar  9 2001 Tim Powers <timp@redhat.com>
- incorporated most if the ideas from the patch sent in in bug 31069,
  except moved the variables into logcheck.conf to keep things
  consistant.

* Thu Mar  8 2001 Tim Powers <timp@redhat.com>
- split out the configuration stuff from the shell script that is run
  into a config file (#31069)

* Mon Feb  5 2001 Tim Powers <timp@redhat.com>
- changed schedule to run back to hourly as per bug 25949 which makes
  more sense.

* Fri Jan 19 2001 Tim Powers <timp@redhat.com>
- maillog was erroneously changed to mail.log in logcheck.sh

* Thu Jan  4 2001 Tim Powers <timp@redhat.com>
- not building as noarch, has arch dependant binaries

* Fri Oct  6 2000 Tim Powers <timp@redhat.com> 1.1.1-5
- using Mandrakes package for Powertools. Thanks Mandrake :)
- build for noarch
- change group to be a valid Red Hat group
- added URL to the logcheck sources
- fixed URL to logcheck webpage
- removed redundant defines at top of spec file
- fix location of /tmp dir to be /var/logcheck. Don't want to use 
  something everyone has access to.

* Mon Sep 18 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.1.1-4mdk
- move logcheck script from running hourly to running daily

* Thu Aug  3 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.1.1-3mdk
- macros
- fix path for config files
- change group
- add patch to fix configuration variables in logcheck.sh
- add script in cron.hourly

* Wed Jun 21 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- 1.1-4k
- fixed cron script

* Sun Jun 18 2000 AYUHANA Tomonori <l@kondara.org>
- requires: "full patch" -> packages
- add %defattr
- add -q at %setup

* Sun Jun 11 2000 Kenji Yamaguchi <yamk@sophiaworks.com>
- Recompiled under Kondara MNU/Linux 1.1
- NoSource.
- appended "Distribution:"
- changed "BuildRoot:"
- changed "Group:"
- changed "Copyright:"

* Thu May  4 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.1.1-2mdk
- fix group
- fix for spec-helper
- change prefix to /usr
- bzip patch

* Wed Dec 1 1999 Vincent Danen <vdanen@linux-mandrake.com>
- updated specfile for Mandrake contribs
- specfile cleanups
- bzip sources
- 1.1.1

* Tue Nov 9 1999 Vincent Danen <vdanen@softhome.net>
- updated spec file to clean up properly
- specfile adaptations

* Tue Sep 28 1999 Vincent Danen <vdanen@softhome.net>
- updated spec file

* Mon Sep 27 1999 Vincent Danen <vdanen@softhome.net>
- 1.1
- Mandrake adaptions
